from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import ProductViewSet, OrderViewSet, ReviewViewSet, DiscountViewSet, AnalyticsViewSet, ObtainAuthTokenView

router = DefaultRouter()
router.register('products', ProductViewSet)
router.register('orders', OrderViewSet)
router.register('reviews', ReviewViewSet)
router.register('discounts', DiscountViewSet)
router.register('analytics', AnalyticsViewSet, basename='analytics')

urlpatterns = [
    path('api/', include(router.urls)),
    path('api/token-auth/', ObtainAuthTokenView.as_view(), name='token_auth'),
]